List or search Gmail drafts
curl --request GET \
--url https://api.openworklabs.com/v1/capabilities/google-workspace/gmail-drafts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openworklabs.com/v1/capabilities/google-workspace/gmail-drafts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openworklabs.com/v1/capabilities/google-workspace/gmail-drafts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"drafts": [
{
"id": "<string>",
"message": {
"id": "<string>",
"threadId": "<string>"
}
}
],
"nextPageToken": "<string>",
"resultSizeEstimate": 4503599627370495
}{
"error": "invalid_request",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
],
"capability": "<string>"
}{
"error": "unauthorized"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "invalid_request",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Capability Sources
List or search Gmail drafts
Returns one page of drafts and the actual nextPageToken, if any. Pass it as pageToken for the next page. Requires gmail.readonly, gmail.compose or gmail.modify. Uses only the calling member’s selected connected Google account. Perform writes only when explicitly requested by the user; capability discovery or selection is not authorization. Never automatically retry an uncertain write.
GET
/
v1
/
capabilities
/
google-workspace
/
gmail-drafts
List or search Gmail drafts
Authorizations
bearerAuthdenApiKey
Session token passed as Authorization: Bearer <session-token> for user-authenticated Den routes.
Query Parameters
Required string length:
1 - 1000Required range:
1 <= x <= 100Required string length:
1 - 2048Available options:
true, false Was this page helpful?